/*
 * Shortest-Path First algorithm 
 */

#ifndef _SPF_H
#define _SPF_H

void spf_init(struct graph *g, struct node *s);
void spf_term ();
void spf_calculate(struct graph *g, struct node *s);
void spf_printpath (struct graph *g, struct node *endnode);
void spf_printpaths (struct graph *g);

#endif /* _SPF_H */
